Subject: Re: [art] [apps-discuss] IRC URIs to denote users

From: Melvin Carvalho <[email-masked]>
Date: Sun, 9 Oct 2016 18:31:59 +0200

On 26 September 2014 at 20:49, Dave Thaler <[email-masked]> wrote:

> Those registrations were part of the “URI Bulk Third-Party Registration
> Experiment”.
>
> For more info on that experiment, see the slides from IETF 85:
>
> http://www.ietf.org/proceedings/85/slides/slides-85-iri-8.pdf
>

I just noticed ircv3

http://ircv3.net/

Perhaps worth continuing this discussion there?

>
>
> -Dave
>
>
>
> *From:* apps-discuss [mailto:[email-masked]] *On Behalf Of
> *Melvin Carvalho
> *Sent:* Tuesday, September 23, 2014 4:55 AM
> *To:* Ira McDonald; Benjamin Young
> *Cc:* Apps Discuss
> *Subject:* Re: [apps-discuss] IRC URIs to denote users
>
>
>
>
>
>
>
> On 23 September 2014 01:45, Ira McDonald <[email-masked]> wrote:
>
> Hi Melvin,
>
> The current IANA URI Schemes registry includes the following
> three schemes:
>
>
>
> irc
>
> prov/irc <http://www.iana.org/assignments/uri-schemes/prov/irc>
>
> irc
>
> [Dave_Thaler
> <http://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml#Dave_Thaler>
> ]
>
> irc6
>
> prov/irc6 <http://www.iana.org/assignments/uri-schemes/prov/irc6>
>
> irc6
>
> [Dave_Thaler
> <http://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml#Dave_Thaler>
> ]
>
> ircs
>
> prov/ircs <http://www.iana.org/assignments/uri-schemes/prov/ircs>
>
> ircs
>
> [Dave_Thaler
> <http://www.iana.org/assignments/uri-schemes/uri-schemes.xhtml#Dave_Thaler>
> ]
>
>
>
> All three of those are September 2012 provisional registrations
>
> (with references that include butcher and draft-mirashi-url-irc-01).
>
>
>
> Thanks for the info!
>
> Both the referenced specs seem quite old.  I think there was a time when
> Dave Thaler just put a ton of URI specs in the provisional queue, without
> necessarily major updates.
>
> It's still not 100% clear what the best pattern is, if any.
>
> Unless there's an objection may I propose:
>
> irc://user@host/
>
> This is very much in line with the work of Ben Young (cc'd)
>
> http://userinfo.me/
>
> Who proposes a neat way to get user profile info via HTTP as:
>
> http://user@host/
>
> I believe the intention of this is to write an RFC, so I'd like to align
> future work with that if possible
>
>
>
>
>
> Cheers,
>
> - Ira
>
>
> Ira McDonald (Musician / Software Architect)
> Co-Chair - TCG Trusted Mobility Solutions WG
> Chair - Linux Foundation Open Printing WG
> Secretary - IEEE-ISTO Printer Working Group
> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music / High North Inc
> http://sites.google.com/site/blueroofmusic
> http://sites.google.com/site/highnorthinc
> mailto: [email-masked]
> Winter  579 Park Place  Saline, MI  48176  734-944-0094
> Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434
>
>
>
> On Mon, Sep 22, 2014 at 4:50 PM, Melvin Carvalho <[email-masked]>
> wrote:
>
> I was wondering if IRC URIs are standardized at all?
>
> The latest I found was :
>
> http://tools.ietf.org/html/draft-butcher-irc-url-04
>
> I have a use case of marking reputation from one system (web chat room) to
> an IRC chat room, but I require an identifier for the user.
>
> The suggestions so far have been:
>
> irc://user@host
>
> irc://user@host/ -- trailing slash
>
> irc:user@host -- similar to xmpp
>
> irc://host/#user -- fragment could be problematic as per RFC 9386
>
> I've gone with the second option for the moment
>
> Any pointers would be most welcome.
>
>
>
>
>
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>
>
>
>
>